summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAnthony G. Basile <blueness@gentoo.org>2012-03-26 23:25:12 +0000
committerAnthony G. Basile <blueness@gentoo.org>2012-03-26 23:25:12 +0000
commit69304709da0772fd564f804ca149e848facb9e97 (patch)
tree8f5cd701a25c5ce51113eaae5b81fc213a8f38b7 /net-misc/tinc/files
parentRemove LDFLAGS from pkg-config Libs (bug #409661). (diff)
downloadgentoo-2-69304709da0772fd564f804ca149e848facb9e97.tar.gz
gentoo-2-69304709da0772fd564f804ca149e848facb9e97.tar.bz2
gentoo-2-69304709da0772fd564f804ca149e848facb9e97.zip
Remove older unstable versions
(Portage version: 2.1.10.49/cvs/Linux x86_64)
Diffstat (limited to 'net-misc/tinc/files')
-rw-r--r--net-misc/tinc/files/tincd64
-rw-r--r--net-misc/tinc/files/tincd.conf1
-rw-r--r--net-misc/tinc/files/tincd.lo46
3 files changed, 0 insertions, 111 deletions
diff --git a/net-misc/tinc/files/tincd b/net-misc/tinc/files/tincd
deleted file mode 100644
index 8ae381bb3e22..000000000000
--- a/net-misc/tinc/files/tincd
+++ /dev/null
@@ -1,64 +0,0 @@
-#!/sbin/runscript
-# Copyright 1999-2011 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/net-misc/tinc/files/tincd,v 1.6 2011/12/04 10:30:33 swegener Exp $
-
-extra_started_commands="reload"
-
-depend() {
- use logger dns
- need net
-}
-
-checkconfig() {
- if ! grep -q '^ *NETWORK:' /etc/conf.d/tinc.networks
- then
- eerror "No VPN networks configured in /etc/conf.d/tinc.networks"
- return 1
- fi
-}
-
-start() {
- checkconfig || return 1
- ebegin "Starting tinc VPN networks"
- eend 0
- awk '/^ *NETWORK:/ { print $2 }' /etc/conf.d/tinc.networks | while read TINCNET
- do
- if [ ! -f /etc/tinc/"$TINCNET"/tinc.conf ]
- then
- eerror "Cannot start network $TINCNET, /etc/tinc/$TINCNET/tinc.conf does not exist !"
- else
- ebegin "Starting tinc network $TINCNET"
- /usr/sbin/tincd --net="$TINCNET" --logfile=/var/log/tinc.$TINCNET.log --pidfile=/var/run/tinc.$TINCNET.pid
- eend $?
- fi
- done
-}
-
-stop() {
- ebegin "Stopping tinc VPN networks"
- eend 0
- awk '/^ *NETWORK:/ { print $2 }' /etc/conf.d/tinc.networks | while read TINCNET
- do
- if [ -f /var/run/tinc."$TINCNET".pid ]
- then
- ebegin "Stopping tinc network $TINCNET"
- /usr/sbin/tincd --kill --pidfile=/var/run/tinc."$TINCNET".pid
- eend $?
- fi
- done
-}
-
-reload() {
- ebegin "Reloading configuration for tinc VPN networks"
- eend 0
- awk '/^ *NETWORK:/ { print $2 }' /etc/conf.d/tinc.networks | while read TINCNET
- do
- if [ -f /var/run/tinc."$TINCNET".pid ]
- then
- ebegin "Reloading tinc network $TINCNET"
- /usr/sbin/tincd --kill HUP --pidfile=/var/run/tinc."$TINCNET".pid
- eend $?
- fi
- done
-}
diff --git a/net-misc/tinc/files/tincd.conf b/net-misc/tinc/files/tincd.conf
deleted file mode 100644
index c19b8365b6d3..000000000000
--- a/net-misc/tinc/files/tincd.conf
+++ /dev/null
@@ -1 +0,0 @@
-#rc_need="net.net"
diff --git a/net-misc/tinc/files/tincd.lo b/net-misc/tinc/files/tincd.lo
deleted file mode 100644
index 5ec82aa605bf..000000000000
--- a/net-misc/tinc/files/tincd.lo
+++ /dev/null
@@ -1,46 +0,0 @@
-#!/sbin/runscript
-# Copyright 1999-2011 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/net-misc/tinc/files/tincd.lo,v 1.2 2011/12/04 10:30:32 swegener Exp $
-
-extra_started_commands="reload"
-
-depend()
-{
- use logger dns
- need net
-}
-
-start()
-{
- TINCNET=${RC_SVCNAME#*.}
- if [ -f /etc/tinc/"$TINCNET"/tinc.conf ] ; then
- ebegin "Starting tinc network $TINCNET"
- /usr/sbin/tincd --debug=1 --net="$TINCNET" --logfile=/var/log/tinc.$TINCNET.log --pidfile=/var/run/tinc.$TINCNET.pid
- eend $?
- else
- eerror "Cannot start network $TINCNET, /etc/tinc/$TINCNET/tinc.conf does not exist !"
- fi
-}
-
-stop()
-{
- TINCNET=${RC_SVCNAME#*.}
- if [ -f /var/run/tinc."$TINCNET".pid ] ; then
- ebegin "Stopping tinc network $TINCNET"
- /usr/sbin/tincd --kill --pidfile=/var/run/tinc."$TINCNET".pid
- eend $?
- else
- eerror "Cannot start network $TINCNET, /etc/tinc/$TINCNET/tinc.conf does not exist !"
- fi
-}
-
-reload()
-{
- TINCNET=${RC_SVCNAME#*.}
- if [ -f /var/run/tinc."$TINCNET".pid ] ; then
- ebegin "Reloading configuration for tinc network $TINCNET"
- /usr/sbin/tincd --kill HUP --pidfile=/var/run/tinc."$TINCNET".pid
- eend $?
- fi
-}